package vip.devkit.share;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import vip.devkit.common.share.LoginUtil;
import vip.devkit.common.share.ShareConfig;
import vip.devkit.common.share.ShareManager;
import vip.devkit.common.share.ShareUtil;
import vip.devkit.common.share.login.LoginListener;
import vip.devkit.common.share.login.LoginPlatform;
import vip.devkit.common.share.login.LoginResult;
import vip.devkit.common.share.login.result.QQToken;
import vip.devkit.common.share.login.result.QQUser;
import vip.devkit.common.share.share.ShareListener;
import vip.devkit.common.share.share.SharePlatform;

public class MainActivity extends AppCompatActivity {
    LoginListener mLoginListener;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        // 初始化shareUtil
        ShareConfig config = ShareConfig.instance()
                .qqId("1106535201")
                .weiboId("XXXXXX")
                .wxId("xXXXXX");
        ShareManager.init(config);
        findViewById(R.id.btn_qq).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
               /* ShareUtil.shareImage(MainActivity.this, SharePlatform.QQ,
                        "https://www.baidu.com/img/pcdongtai_b60a4b2d8e0d0d6392de47d4cec6fdc3.gif", new ShareListener() {
                            @Override
                            public void shareSuccess() {
                                Log.i("TAG", "分享成功");
                            }

                            @Override
                            public void shareFailure(Exception e) {
                                Log.i("TAG", "分享失败");
                            }

                            @Override
                            public void shareCancel() {
                                Log.i("TAG", "分享取消");
                            }
                        });*/
                LoginUtil.login(MainActivity.this, LoginPlatform.QQ, mLoginListener);
            }
        });
        findViewById(R.id.btn_qzone).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ShareUtil.shareImage(MainActivity.this, SharePlatform.WEIBO,
                        "https://www.baidu.com/img/pcdongtai_b60a4b2d8e0d0d6392de47d4cec6fdc3.gif", new ShareListener() {
                            @Override
                            public void shareSuccess() {
                                Log.i("TAG", "分享成功");
                            }

                            @Override
                            public void shareFailure(Exception e) {
                                Log.i("TAG", "分享失败");
                            }

                            @Override
                            public void shareCancel() {
                                Log.i("TAG", "分享取消");
                            }
                        });
            }
        });
        mLoginListener = new LoginListener() {
            @Override
            public void loginSuccess(LoginResult result) {
                Toast.makeText(MainActivity.this,
                        result.getUserInfo() != null ? result.getUserInfo().getNickname()
                                : "" + "登录成功", Toast.LENGTH_SHORT).show();

                // 处理result
                switch (result.getPlatform()) {
                    case LoginPlatform.QQ:
                        QQUser user = (QQUser) result.getUserInfo();
                        QQToken token = (QQToken) result.getToken();
                        Log.i("atag",user+"/"+token+"/"+result.getUserInfo());
                        break;
                    case LoginPlatform.WEIBO:
                        // 处理信息
                        break;
                    case LoginPlatform.WX:

                        break;
                }
            }

            @Override
            public void loginFailure(Exception e) {
                Toast.makeText(MainActivity.this, "登录失败", Toast.LENGTH_SHORT).show();
            }

            @Override
            public void loginCancel() {
                Toast.makeText(MainActivity.this, "登录取消", Toast.LENGTH_SHORT).show();
            }
        };



    }


}
