/*
******************************* Copyright (c)*********************************\
**
**                 (c) Copyright 2017, DevKit.vip, china, qd. sd
**                          All Rights Reserved
**
**                           By(K)
********************************End of Head************************************\
*/
package vip.devkit.common.share;

/**
 * 文 件 名: ShareConfig
 * 功能描述:
 * 创 建 人: By k
 * 邮    箱:vip@devkit.vip
 * 网    站:www.devkit.vip
 * 创建日期: 2018/1/29
 * 版   本: V 1.0
 * 代码修改:（修改人 - 修改时间）
 * 修改备注：
 */
public class ShareConfig {

    private String wxId;

    private String wxSecret;

    private String qqId;

    private String weiboId;

    private String weiboRedirectUrl = "https://api.weibo.com/oauth2/default.html";

    private String weiboScope = "email";

    private boolean debug;

    public static ShareConfig instance() {
        return new ShareConfig();
    }

    public ShareConfig wxId(String id) {
        wxId = id;
        return this;
    }

    public ShareConfig wxSecret(String id) {
        wxSecret = id;
        return this;
    }

    public ShareConfig qqId(String id) {
        qqId = id;
        return this;
    }

    public ShareConfig weiboId(String id) {
        weiboId = id;
        return this;
    }

    public ShareConfig weiboRedirectUrl(String url) {
        weiboRedirectUrl = url;
        return this;
    }

    public ShareConfig weiboScope(String scope) {
        weiboScope = scope;
        return this;
    }

    public ShareConfig debug(boolean isDebug) {
        debug = isDebug;
        return this;
    }

    public String getWxId() {
        return wxId;
    }

    public String getWxSecret() {
        return wxSecret;
    }

    public String getQqId() {
        return qqId;
    }

    public String getWeiboId() {
        return weiboId;
    }

    public String getWeiboRedirectUrl() {
        return weiboRedirectUrl;
    }

    public String getWeiboScope() {
        return weiboScope;
    }

    public boolean isDebug() {
        return debug;
    }
}
